## xmms-ladspa-1.1.tar.bz2

=== Makefile ===

VER=1.1

DOCS= README PLUGINS COPYING ChangeLog
CODE= Makefile ladspa.c ladspa.h

M_CFLAGS= -fPIC `gtk-config --cflags`

all: ladspa.so
	@echo
	@echo "Now copy ladspa.so into your XMMS Effect plugin directory"
	@echo "e.g. ~/.xmms/Plugins/Effect or /usr/lib/xmms/Effect"
	@echo "But please, NOT WHILE XMMS IS RUNNING"
	@echo


dist:
	mkdir xmms_ladspa-$(VER)
	cp $(DOCS) xmms_ladspa-$(VER)
	cp $(CODE) xmms_ladspa-$(VER)
	tar czf xmms_ladspa-$(VER).tar.gz xmms_ladspa-$(VER)
	rm -r xmms_ladspa-$(VER)

clean:
	rm ladspa.so

ladspa.so: ladspa.c
	gcc -Wall -shared -o ladspa.so ladspa.c $(M_CFLAGS) -DVERSION=\"$(VER)\"

=== debian/changelog ===
xmms-ladspa (1.1-1) unstable; urgency=medium

  * new upstream release fixing preset loading crash

 -- Robert Jordens <jordens@debian.org>  Sun,  3 Apr 2005 12:09:10 +0200

xmms-ladspa (1.0-2) unstable; urgency=low

  * debian/watch: updated to version 2 watchfile

 -- Robert Jordens <jordens@debian.org>  Tue, 27 Jul 2004 16:12:08 +0200

xmms-ladspa (1.0-1) unstable; urgency=low

  * new upstream release
    + saves plugin state across sessions; closes: Bug#186035

 -- Robert Jordens <jordens@debian.org>  Sun,  9 May 2004 13:58:20 +0200

xmms-ladspa (0.7-3) unstable; urgency=low

  * debian/rules: converted to cdbs
  * debian/control
    + Build-Depends: dh-buildinfo, cdbs
    + bumped to Standards-Version: 3.6.1
  * Makefile: use M_CLFAGS to let the user and cdbs choose his own CLFAGS

 -- Robert Jordens <jordens@debian.org>  Wed, 10 Sep 2003 23:25:06 +0200

xmms-ladspa (0.7-2) unstable; urgency=low

  * debian/control: changed rjo@gmx.de to jordens@debian.org
  * debian/rules: DEB_BUILD_OPTS uses noopt now

 -- Robert Jordens <jordens@debian.org>  Thu,  4 Sep 2003 10:44:54 +0200

xmms-ladspa (0.7-1) unstable; urgency=low

  * New upstream

 -- Robert Jordens <rjo@gmx.de>  Tue, 11 Mar 2003 22:55:29 +0100

xmms-ladspa (0.6-1) unstable; urgency=low

  * New upstream

 -- Robert Jordens <rjo@gmx.de>  Tue,  6 Aug 2002 00:48:56 +0200

xmms-ladspa (0.5-1) unstable; urgency=low

  * New upstream
  * include PLUGINS as doc

 -- Robert Jordens <rjo@gmx.de>  Wed, 22 May 2002 23:25:01 +0200

xmms-ladspa (0.3-1) unstable; urgency=low

  * Initial Release, closes: Bug#146555
  * added url to debian/control
  * Depends: ladspa-plugin
  * Build-Depends: ladspa-sdk
  * updated Description

 -- Robert Jordens <rjo@gmx.de>  Fri, 10 May 2002 22:14:47 +0200

=== debian/control ===
Source: xmms-ladspa
Section: sound
Priority: optional
Maintainer: Robert Jordens <jordens@debian.org>
Build-Depends: debhelper (>> 4.1.0), cdbs, dh-buildinfo, xmms-dev,
 ladspa-sdk, libgtk1.2-dev
Standards-Version: 3.6.1

Package: xmms-ladspa
Architecture: any
Depends: xmms, ladspa-plugin, ${shlibs:Depends}
Description: power XMMS with the Linux Audio Developer's Simple Plugin API
 xmms_ladspa is an Effect for XMMS that provides (some of)
 the power of the Linux Audio Developer's Simple Plugin API to your
 everyday MP3 and all-around media player.
 .
 You can add any number of plugins (and more than one instance of each
 individual plugin) and the sound will be processed in order, first to
 last. A box of control "knobs" will appear for each new plugin and if
 you close it, it can be opened again by selecting the plugin and
 pressing the "Configure" button below the list. To remove a plugin,
 select it and press the "Remove" button.
 .
 Further information can be found at
 http://www.ecs.soton.ac.uk/~njl98r/code/ladspa/

=== debian/rules ===
#!/usr/bin/make -f
# rules
#
# Robert Jordens <rjo@gmx.de>
#
# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.
#
# $Id$
#

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_INSTALL_TARGET := 

common-binary-post-install-arch::
	dh_buildinfo

install/xmms-ladspa::
	mkdir -p $(DEB_DESTDIR)`xmms-config --effect-plugin-dir`
	install -m 644 ladspa.so $(DEB_DESTDIR)`xmms-config --effect-plugin-dir`

=== debian/watch ===
version=2
http://www.ecs.soton.ac.uk/~njl98r/code/ladspa/xmms_ladspa-(.*)\.tar\.gz	debian uupdate
